layout: post
title: "Two Small Projects"
subtitle: "Audio and Arduino"

###Breadboard Arduino
I didn't really like the arduino when I first heard about it.  It
was vastly overpowered for any task I saw it used for and with the
interpreted coding it seemed little more than an expensive waste of
processor cycles.

Then I went and bought one anyway, and I am happy to admit that I was
wrong to think it useles.  I remember opening the box, and ten minutes
later I had used it to solve a problem which had been bothering me for a
week.  Now I'm thinking of getting a third one.

The one I use the most is an Arduino nano, which can be seen sitting on
my breadboard in this photo from a previous post
![Z80 tester wiring](/media/img/z80_tester.png)

This placement worked well, but I kept thinking about the big open area
just to the left of the Arduino...

So, one day I brought out the dremel and... perfect fit!
![Arduino breadboard](/media/img/mini_project_arduino_breadboard2.png)

To the sides are an IC holder I split in half and soldered on the back.
![Arduino soldering](/media/img/mini_project_arduino_breadboard1.png)

It was a bit tricky to avoid melting the plastics, but I think it turned
out allright.

Finally, heres a picture of it in use for studying the timings of an SD
card for my Z80 computer.
![Arduino in use](/media/img/mini_project_arduino_breadboard4.png)

###Mac mini headset adapter
I use a Mac mini (mid 2011) as my main desktop computer. I wanted
to connect a headset to it for skyping, but found out that the only
connections are Audio out and Line in.

The Audio out port, however, allows you to connect an
iPhone headset and use its microphone with the computer.
That gave me an idea, and after some searching I found
[this](http://benttronics.blogspot.se/2009/05/audio-breakout-cable-for-i
podiphone.html).

Once again I heated the soldering iron and got this:
![Headset adapter](/media/img/mini_project_headset_adapter.png)

Let me tell you, that four-pole connector is one tight fit.

The top two connectors are wired in parallell and allows me to have both
my speakers and my headset connected at the same time. It's easy enough
to just turn off the speakers when I don't need them and I wont ever
have to dig around behind the computer to connect the headset.
